%define version 0.7
%define release 2mdk
%define _prefix /usr

Name: ispell-ga
Summary: Irish dictionary for Ispell
Version: %{version}
Release: %{release}
Group: System/Internationalization
Source: ispell-ga-%{version}.tar.bz2
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-ga
#Packager: Alastair McKinstry <mckinstry@computer.org>
Obsoletes: iirish
Provides: ispell-dictionary

%description
This is an Irish  dictionary for ispell.

%prep
%setup 

%build
make gaeilge.hash

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/man/man4
cp gaeilge.hash gaeilge.aff  $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
cp gaeilge.4   $RPM_BUILD_ROOT/%{_prefix}/man/man4/gaeilge.4

# make symlinks for compatibility with LaTeX babel
(
	cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
	ln -s gaeilge.aff irish.aff ; ln -s gaeilge.hash irish.hash
)

bzip2 -9 $RPM_BUILD_ROOT/%{_prefix}/man/man4/gaeilge.4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc COPYING README ChangeLog
/%{_prefix}/lib/ispell/*
/%{_prefix}/man/man4/*.bz2

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7-2mdk
- adapted to new Group: naming

* Thu Feb 03 2000 <pablo@mandrakesoft.com>
- adapted to Linux Mandrake (bzip2'ed man page, etc)
- made a symlink for compatibility with LaTeX babel language names (used by
  LyX/KlyX spell checking)

* Thu Oct 30 1997 <mckinstry@computer.org>
- Fixed irish-prefixes.pl; more words.
	
* Wed Oct 29 1997 <mckinstry@computer.org>
- Added gaeilge.4 man page;
- more corrections. 
	
* Thu Oct 8 1997 <mckinstry@computer.org>
- Changed to BuildArchitectures: noarch

* Tue Sep 30 1997 <mckinstry@computer.org>
- Initial Release.


